package com.dgtis.dorm.manager.db.util;

import java.util.List;

/**
 *  树节点
 *
 * @version 1.0
 * @since JDK1.8
 * @author huanghaoqi
 * @date 2018年12月04日 17:12:36
 */
public class TreeNode{
    /**
     * 本节点id
     */
    private Integer id;
    /**
     * 本节点名称
     */
    private String name;
    /**
     * 本节点的父节点
     */
    private Integer parentId;
    /**
     * 本节点排序，可忽略
     */
    private Integer order;
    /**
     * 本节点层级
     */
    private Integer level;
    /**
     * 子节点
     */
    private List<TreeNode> children;

    public TreeNode() {
    }

    public TreeNode(Integer id, String name, Integer parentId, Integer level) {
        this.id = id;
        this.name = name;
        this.parentId = parentId;
        this.level = level;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    public Integer getOrder() {
        return order;
    }

    public void setOrder(Integer order) {
        this.order = order;
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    public List<TreeNode> getChildren() {
        return children;
    }

    public void setChildren(List<TreeNode> children) {
        this.children = children;
    }
}
